package com.example.shoesapptest

import com.example.shoesapptest.data.model.RegistrationRequest
import com.example.shoesapptest.data.model.TokenResponse
import com.example.shoesapptest.data.remote.AuthRemoteSource
import com.example.shoesapptest.data.remote.retrofit.Auth
import com.example.shoesapptest.data.remote.retrofit.RetrofitClient
import kotlinx.coroutines.Dispatchers
import kotlinx.coroutines.withContext

class AuthRemoteSourceImpl :AuthRemoteSource {
    private val api: Auth = RetrofitClient.retrofit

    override suspend fun registration(registrationRequest: RegistrationRequest): TokenResponse {
        return withContext(Dispatchers.IO) {
            api.registration(registrationRequest)
        }
    }
}