package com.example.shoesapptest.data.local.datastore

import android.content.Context
import androidx.datastore.preferences.core.edit
import androidx.datastore.preferences.core.stringPreferencesKey
import androidx.datastore.preferences.preferencesDataStore
import com.example.shoesapptest.data.local.AuthLocalStore
import com.example.shoesapptest.data.model.SaveTokenRequest
import com.example.shoesapptest.data.model.TokenResponse
import kotlinx.coroutines.flow.first
import kotlinx.coroutines.flow.map


private val Context.dataStore by preferencesDataStore(name="auth")

class LocalDataStore(context: Context): AuthLocalStore {
    private val dataStore = context.dataStore

    override suspend fun getToken(): TokenResponse {
        val token = dataStore.data.map { preferences ->
            preferences[stringPreferencesKey("token")] ?: ""
        }.first()
        return TokenResponse("token")
    }

    override suspend fun setToken(saveTokenRequest: SaveTokenRequest): Boolean {
        dataStore.edit { prefences -> prefences[stringPreferencesKey("token")] = saveTokenRequest.tokenAuthentication }
        return true
    }
}