package com.example.shoesapptest.data.repository

import com.example.shoesapptest.data.local.AuthLocalStore
import com.example.shoesapptest.data.model.RegistrationRequest
import com.example.shoesapptest.data.model.SaveTokenRequest
import com.example.shoesapptest.data.model.TokenResponse
import com.example.shoesapptest.data.remote.AuthRemoteSource

class AuthRepositoryImpl(
    private val authLocalStore: AuthLocalStore,
    private val authRemoteSource: AuthRemoteSource
):AuthRepository {

    override suspend fun registration(registrationRequest: RegistrationRequest): TokenResponse {
        val tokenResponse = authRemoteSource.registration(registrationRequest)
        authLocalStore.setToken(SaveTokenRequest(tokenResponse.tokenAuthentication))
        return tokenResponse
    }

    override suspend fun login() {
    }

}